Skip to content
Start here

Get CMB config

client.logs.control.cmb.config.get(ConfigGetParams { account_id } params, RequestOptionsoptions?): CmbConfig { allow_out_of_region_access, regions } | null
GET/accounts/{account_id}/logs/control/cmb/config

Gets CMB config.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Logs WriteLogs Read
ParametersExpand Collapse
params: ConfigGetParams { account_id }
account_id: string

Identifier.

maxLength32
ReturnsExpand Collapse
CmbConfig { allow_out_of_region_access, regions } | null
allow_out_of_region_access?: boolean

Allow out of region access

regions?: string

Name of the region.

maxLength256

Get CMB config

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const cmbConfig = await client.logs.control.cmb.config.get({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(cmbConfig.allow_out_of_region_access);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "allow_out_of_region_access": false,
    "regions": "eu"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "allow_out_of_region_access": false,
    "regions": "eu"
  }
}